Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class XRoleClassCoverage

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.XRoleClassCoverage

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class XRoleClassCoverage

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'XRole Class Coverage', and utility methods for working with them. abstDomain: V14008 (C-0-D11555-V13940-V14008-cpt)

See Also:
  `CDAR2Package.getXRoleClassCoverage()`

Field Summary
`static int` | `COVPTY` The 'COVPTY' literal value.
`static XRoleClassCoverage` | `COVPTY_LITERAL` The 'COVPTY' literal object.
`static int` | `POLHOLD` The 'POLHOLD' literal value.
`static XRoleClassCoverage` | `POLHOLD_LITERAL` The 'POLHOLD' literal object.
`static int` | `SPNSR` The 'SPNSR' literal value.
`static XRoleClassCoverage` | `SPNSR_LITERAL` The 'SPNSR' literal object.
`static int` | `UNDWRT` The 'UNDWRT' literal value.
`static XRoleClassCoverage` | `UNDWRT_LITERAL` The 'UNDWRT' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'XRole Class Coverage' enumerators.

Method Summary
`static XRoleClassCoverage` | `get(int value)` Returns the 'XRole Class Coverage' literal with the specified integer value.
`static XRoleClassCoverage` | `get(java.lang.String literal)` Returns the 'XRole Class Coverage' literal with the specified literal value.
`static XRoleClassCoverage` | `getByName(java.lang.String name)` Returns the 'XRole Class Coverage' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### COVPTY

    public static final int COVPTY

  The 'COVPTY' literal value.

  If the meaning of 'COVPTY' literal object isn't clear, there really should be more of a description here...

  See Also:
    `COVPTY_LITERAL`, Constant Field Values

### POLHOLD

    public static final int POLHOLD

  The 'POLHOLD' literal value.

  If the meaning of 'POLHOLD' literal object isn't clear, there really should be more of a description here...

  See Also:
    `POLHOLD_LITERAL`, Constant Field Values

### SPNSR

    public static final int SPNSR

  The 'SPNSR' literal value.

  If the meaning of 'SPNSR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SPNSR_LITERAL`, Constant Field Values

### UNDWRT

    public static final int UNDWRT

  The 'UNDWRT' literal value.

  If the meaning of 'UNDWRT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `UNDWRT_LITERAL`, Constant Field Values

### COVPTY_LITERAL

    public static final XRoleClassCoverage COVPTY_LITERAL

  The 'COVPTY' literal object.

  See Also:
    `COVPTY`

### POLHOLD_LITERAL

    public static final XRoleClassCoverage POLHOLD_LITERAL

  The 'POLHOLD' literal object.

  See Also:
    `POLHOLD`

### SPNSR_LITERAL

    public static final XRoleClassCoverage SPNSR_LITERAL

  The 'SPNSR' literal object.

  See Also:
    `SPNSR`

### UNDWRT_LITERAL

    public static final XRoleClassCoverage UNDWRT_LITERAL

  The 'UNDWRT' literal object.

  See Also:
    `UNDWRT`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'XRole Class Coverage' enumerators.

Method Detail

### get

    public static XRoleClassCoverage get(java.lang.String literal)

  Returns the 'XRole Class Coverage' literal with the specified literal value.

### getByName

    public static XRoleClassCoverage getByName(java.lang.String name)

  Returns the 'XRole Class Coverage' literal with the specified name.

### get

    public static XRoleClassCoverage get(int value)

  Returns the 'XRole Class Coverage' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD